1998-12-22  Marcus G. Daniels  <mgd@chama.santafe.edu>

	* automake.in (handle_dependencies): Transform EXT & PFX in
	Objective C case.

1998-12-11  Marcus G. Daniels  <mgd@chama.santafe.edu>

	* automake.in: Register Objective C language.
	(finish_languages): Consider Objective C to be non_c.
	(lang_objc_rewrite, lang_objc_finish): New functions.
	(resolve_linker): Recognize OBJCLINK before LINK.

1999-01-10  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_texinfo): Handle empty $config_aux_dir.

	* automake.in (handle_texinfo): Set $conf_pat correctly when
	config_aux_dir not used.
	(handle_texinfo): Run maintainer-clean-aminfo rules in srcdir.
	From Erez Zadok.
	* texi-vers.am (maintainer-clean-@VTI@): Prefix file names with
	$(srcdir).  From Erez Zadok.
	($(srcdir)/stamp-@VTI@): Don't run mdate-sh from srcdir.

1999-01-08  Thomas Tanner  <tanner@gmx.de>

	* depend.am: remove the dependencies (.deps)
	in "make distclean", not "make maintainer-clean"

1999-01-10  Tom Tromey  <tromey@cygnus.com>

	* aclocal.in (write_aclocal): Updated copyright.
	(parse_arguments): Likewise.
	* automake.in (parse_arguments): Updated copyright.
	(initialize_global_constants): Likewise.

	* Makefile.am (pkgdata_DATA): Renamed from pkgdata_SCRIPTS.
	(install-data-hook): New hook.  Report from Petter Reinholdtsen.

	* remake-hdr.am: Provide `else' clause for each `if'.

1999-01-10  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* remake-hdr.am: recover from removal of config headers, and try
	to get real timestamps, which is useful for CVS files

1999-01-10  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_merge_targets): Don't special-case "-local"
	targets.  Test all.test.

	* automake.in (handle_texinfo): Prepend $(srcdir) to directory
	used to find texinfo.tex.  Report from Glenn Amerine.

1999-01-07  Tom Tromey  <tromey@cygnus.com>

	Based on report from Marcus G. Daniels.  Fixes include.test.
	* automake.in (generate_makefile): Call read_main_am_file.
	(read_main_am_file): New sub.
	(read_am_file): Moved header generation code into
	read_main_am_file.

1999-01-06  Gary V. Vaughan  <garyv@oranda.demon.co.uk>

	* automake.in (require_file_internal): qub perl on win32 hangs
	on a call to unlink for a non-existant file, which in turn causes
	tests/symlink.test to hang on win32.  Check that the file exists
	before unlinking it!

1998-12-24  Thomas Tanner  <tanner@gmx.de>

	* automake.in (handle_ltlibraries): check whether -module was
	defined for libraries names without 'lib' prefix.

Fri Dec 11 10:20:42 1998  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* compile_f_c_cxx.test: Change to use F77 and F77LINK instead of
	FC and FLINK, respectively.
	* flibs.test: same
	* fnoc.test: same
	* fo.test: same
	* fonly.test: same
	* link_f_c.test: same
	* link_f_c_cxx.test: same
	* link_f_cxx.test: same
	* link_f_only.test: same

Fri Dec 11 10:23:17 1998  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* automake.in, automake.texi: Change all of the Fortran 77 code to
	use the new `F77' prefix instead of the older `FC' prefix.
	Specifically this changed FC, FCOMPILE, LTFCOMPILE, FLINK and FLD
	to F77, F77COMPILE, LTF77COMPILE, F77LINK and F77LD, respectively.

1999-01-05  Tom Tromey  <tromey@cygnus.com>

	* depend2.am (%.o): Use \012, not \n, to avoid losing `tr's.  From
	Bill Currie.
	(%.lo): Likewise.

1998-12-22  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* depend2.am: Don't assume backslash can't occur in the middle of
	filename; it loses on M$W

1998-12-21  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_libraries): Reverted Thomas Tanner's
	change.  Non-libtool libraries still must fit naming
	requirements.

1998-12-21  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* automake.in (handle_configure): Dist inputs for AC_OUTPUT.

1998-12-21  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* depend2.am: don't use .p and .P for dependencies; it loses on
	case-insensitive filesystems.
	Reported by Henrik Frystyk Nielsen <frystyk@w3.org>

1998-12-20  Thomas Tanner  <tanner@gmx.de>

	* automake.in (handle_libraries, handle_ltlibraries): relax the
	name checking to not enforce `^lib.*' for the sake of building libtool 
	modules.

1998-12-21  Tom Tromey  <tromey@cygnus.com>

	* automake.in (do_one_merge_target): Special case
	install-data-hook and install-exec-hook.
	(handle_merge_targets): Removed install-data-hook and
	install-exec-hook code.  Test insthook.test.

1998-12-16  Tom Tromey  <tromey@cygnus.com>

	* tags.am (ID): Uniquify list of sources.  Report from Jim
	Meyering.

1998-12-11  Tom Tromey  <tromey@cygnus.com>

	Bug report from Paul D. Smith:
	* automake.in (handle_merge_targets): Set
	AM_INSTALL_PROGRAM_FLAGS, not INSTALL_PROGRAM.
	* header-vars.am (INSTALL_PROGRAM): Added
	AM_INSTALL_PROGRAM_FLAGS.

1998-12-03  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_dist): Print prettier banner when
	`make dist' succeeds.  From Akim Demaille.

1998-12-02  Tom Tromey  <tromey@cygnus.com>

	* configure.in: Upped version to 1.3e (1.3d was just released).

	* configure.in: Upped version to 1.3d.

	* texinfo.tex, config.guess, config.sub, install-sh: New
	versions.
	* ansi2knr.c: New version.

	* automake.in (handle_configure): Quote @MAINTAINER_MODE_TRUE@ to
	avoid problems where AM_MAINTAINER_MODE is put into automake's own
	configure.in.

	* Makefile.am (cvs-dist): Run `cvs tag' operation in srcdir.

	Some bugs from François Pinard:
	* automake.in (usage): Remove duplicates in file list.

	* automake.in (usage): Print files in column-major order.
	(handle_gettext): Only require ABOUT-NLS for GNU programs.

1998-12-01  Tom Tromey  <tromey@cygnus.com>

	* automake.texi (Dist): Documented GZIP_ENV.
	* automake.in (handle_dist): Define and use GZIP_ENV, not GZIP.
	(initialize_global_constants): Use GZIP_ENV, not GZIP.

1998-11-27  Tom Tromey  <tromey@cygnus.com>

	* automake.in (quote_cond_val): Use "\002", not '\002', to
	represent null string.
	(unquote_cond_val): Removing all "\002" strings from result.  Test
	cond7.test.

	* automake.texi: Formatting changes for latest texinfo.

	* automake.in (handle_java): Removed debugging print.

1998-11-18  Tom Tromey  <tromey@cygnus.com>

	* automake.in (finish_languages): Use CCLD, not CLD.

	* automake.in (finish_languages): Define CLD; use it in LINK
	definition.
	(lang_cxx_finish): Define CXXLD; use it in CXXLINK definition.
	(lang_f77_finish): Define FLD; use it in FLINK definition.
	(lang_ppf77_finish): Likewise.
	(lang_ratfor_finish): Likewise.

1998-11-10  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* automake.in (scan_one_configure_file): Recognize
	AC_F77_LIBRARY_LDFLAGS, and recognize FLIBS as a configure
	substitution.

	* automake.texi: Fix several little Fortran 77 references to now
	point to autoconf.texi.  Rename associated Fortran 77 macros from
	`AM_' to `AC_'.

1998-11-10  Tom Tromey  <tromey@cygnus.com>

	* automake.in (read_am_file): Handle configure_vars case.  Test
	pluseq4.test.

1998-11-09  Tom Tromey  <tromey@cygnus.com>

	* automake.in (read_am_file): `conditional_stack' isn't a
	function.  Correctly add new value to existing value in `+='
	case.

1998-10-29  Gary V. Vaughan <gvaughan@oranda.demon.co.uk>

	* automake.in (parse_arguments): Fixed type of -c for copying

1998-10-30  Tom Tromey  <tromey@cygnus.com>

	* automake.texi (Install): Documented DESTDIR more fully.  From
	Jeff Garzik.

	* automake.in (MACRO_PATTERN): Recognize `+='.
	(BOGUS_MACRO_PATTERN): Likewise.
	(read_am_file): Handle `+=' assignments.

1998-10-28  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (maintainer-check): Changed code to be acceptable to
	bash 2.01.1.

	* automake.in (do_one_clean_target): Special-case config.status.
	Report from Jeff Garzik.

	* m4/Makefile.am (m4data_DATA): Don't mention f77.m4.
	* m4/f77.m4: Removed; macro now in autoconf proper.

1998-10-24  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_dist_worker): Typo fix in code testing to
	see if subdir is `.'.  From Raja R Harinath.

	* m4/lispdir.m4: Fixed sed invocation.  From Akim Demaille.

1998-10-20  Tom Tromey  <tromey@cygnus.com>

	* automake.in (scan_dependency_file): Fixed test on `while' loop.
	Fixes depend2.test.  Report from Akim Demaille.

1998-10-16  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_ltlibraries): Specify `noinst' when
	computing valid prefixes.  From Ulrich Drepper.

	* automake.in (scan_dependency_file): Don't give an error if there
	is text after the last line.  Report from Matthew D. Langston.

	* m4/mktime.m4: Detect glibc mktime bug.  From Jim Meyering.

	* Makefile.am (SUBDIRS): Added `.' again.

	* Makefile.am (EXTRA_DIST): Removed automake.spec.in.  From
	Matthew D. Langston.
	(info_TEXINFOS): Removed am-f77.texi.

	* automake.in (handle_ltlibraries): Allow `noinst' LTLIBRARIES.
	These are libtool convenience libraries.

1998-10-13  Tom Tromey  <tromey@cygnus.com>

	* m4/f77.m4: New file.
	* m4/Makefile.am (m4data_DATA): Added f77.m4.

Thu Oct  8 15:00:57 1998  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* automake.in (resolve_linker): Put the Fortran 77 linker where it
	needs to be.

	* automake.in (lang_f77_finish): Add support for Fortran 77.

	* automake.in (f77_extensions): New helper function for function
	`lang_f77_finish'.

	* automake.in (lang_f77_rewrite): Change to return success.

	* automake.in (scan_one_configure_file): Add test for the Fortran
	77 compiler.

	* automake.in (finish_languages): Changed tests for "C++ only" to
	"C++ and/or Fortran 77 only", and renamed `all_cxx' to `non_c'.

	* automake.in: Registered the ppf77 language (`.F' extension) for
	preprocessed Fortran 77.
	
	* automake.in: Registered the ratfor language (`.r' extension).

	* automake.in: Registered Fortran 77 header files with the "header
	language" (`.inc' extension).

Tue Sep  8 14:50:50 1998  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* automake.texi: Added several new index entries.

Sun Aug 30 16:10:31 1998  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* automake.texi:
	- Add `@ovindex' (output variable index).
	- Merge `@defmac' (Autoconf macros) and `@ovindex' to the General
	  Index.

	* automake.texi (Macros):
	- Changed the `@table @code' list of macros to `@defmac'.
	- Add `AC_PROG_FC' and `MDL_F77_LIBRARY_LDFLAGS' to the list.

Tue Aug 11 10:42:39 1998  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* automake.texi (C++): Change `@table' to `@vtable'.

	* automake.texi (Fortran 77): Add Fortran 77 documentation.

1998-10-11  Tom Tromey  <tromey@cygnus.com>

	Preliminary (completely untested) multilib support.
	* automake.texi (Macros): Document AM_ENABLE_MULTILIB.
	* m4/Makefile.am (m4data_DATA): Added multi.m4.
	* Makefile.am (amfiles): Added multilib.am.
	* automake.in (seen_multilib): New global.
	(scan_one_configure_file): Recognize AM_ENABLE_MULTILIB.
	(generate_makefile): Call handle_multilib.
	(handle_multilib): New function.
	* multilib.am: New file.
	* m4/multi.m4: New file.

1998-10-08  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_dist): Always include configure.in and
	configure in distribution.  Fixes confdist.test.

	* automake.in (do_one_merge_target): Be silent when running
	install-exec-am and install-data-am.  Fixes extra3.test and
	extra4.test.

1998-10-07  Tom Tromey  <tromey@cygnus.com>

	* automake.in (am_install_var): Added -noextra option.
	(handle_data): Pass -noextra to am_install_var.

Sun Oct  4 22:24:10 1998  Tom Tromey  <tromey@cygnus.com>

	* m4/winsz.m4 (AM_HEADER_TIOCGWINSZ_NEEDS_SYS_IOCTL): Use
	3-argument form of AC_DEFINE.
	* m4/regex.m4 (AM_WITH_REGEX): Use 3-argument form of AC_DEFINE.
	* m4/ptrdiff.m4 (AM_TYPE_PTRDIFF_T): Use 3-argument form of
	AC_DEFINE.
	* m4/protos.m4 (AM_C_PROTOTYPES):Use 3-argument form of
	AC_DEFINE.
	* m4/obstack.m4 (AM_FUNC_OBSTACK): Use 3-argument form of
	AC_DEFINE.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Use 3-argument form of
	AC_DEFINE.
	* m4/dmalloc.m4 (AM_WITH_DMALLOC): Use 3-argument form of
	AC_DEFINE.

Tue Oct  6 00:02:15 1998  Tom Tromey  <tromey@cygnus.com>

	* depend2.am (%.lo): Handle case where compiler does not put space
	before ":".  From Raja R Harinath.

Mon Oct  5 13:05:43 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (scan_one_configure_file): AC_CONFIG_HEADER is not
	obsolete; it simply isn't preferred with automake.
	(scan_one_configure_file): Likewise for AC_DECL_YYTEXT and
	AC_PROG_LEX.

	* automake.in (am_line_error): Handle case where variable defined
	in configure.in.  Fixes test badline.test.
	(%configure_vars): Redefined meaning of values.
	(scan_one_configure_file): Set $configure_vars values
	appropriately.

Sat Oct  3 14:53:34 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_aclocal_m4): Use new MAINTAINER_MODE
	conditional.
	(handle_configure): Likewise.
	(read_am_file): Likewise.
	(file_contents_with_transform): Likewise.
	(scan_one_configure_file): Recognize that AM_MAINTAINER_MODE
	defines a conditional.
	* automake.texi (Optional): Document new AM_MAINTAINER_MODE.
	* texi-vers.am ($(srcdir)/@VTEXI@): Look at MAINTAINER_MODE
	conditional.
	(maintainer-clean-@VTI@): Likewise.
	* remake.am ($(srcdir)/configure): Look at MAINTAINER_MODE
	conditional.
	* remake-hdr.am ($(srcdir)/@CONFIG_HEADER_IN@): Look at
	MAINTAINER_MODE conditional.
	* m4/maintainer.m4 (AM_MAINTAINER_MODE): Defined MAINTAINER_MODE
	conditional.

1998-10-03  Jim Blandy  <jimb@zwingli.cygnus.com>

	* depend2.am (%.lo): When editing the dependency file to add the
	.lo file to the targets, allow for whitespace between the end of
	the filename and the colon.  Some compilers (notably the Cygnus
	release of GCC 2.7-97r1) put space there: "alist.o : ..."

Sat Oct  3 12:07:21 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_configure): Handle case where there is no
	Makefile in the config header directory.  Fixes test config.test.

Thu Oct  1 00:51:51 1998  Tom Tromey  <tromey@cygnus.com>

	* depend2.am (%.o): Append sed results to .P file in this case
	too.  From Raja R Harinath.

	* m4/lispdir.m4 (AM_PATH_LISPDIR): Correctly find xemacs and
	xemacs install directories.  From Robert Bihlmeyer.

	* depend2.am: Don't bother trying to delete source file from
	list.

	* depend2.am (%.o): Handle deleted header file problem.
	(%.lo): Likewise.

	* texinfos.am (install-info-am): Handle case where INFO_DEPS is
	empty.  Reported by Andrew Cagney.
	(uninstall-info): Likewise.
	(dist-info): Likewise.

	* automake.in (handle_texinfo): Error if user tries to generate
	HTML.

Wed Sep 30 00:41:40 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (do_one_clean_target): Don't push previous clean
	target if this target is `mostly'.  Report from Raja R Harinath.

	* subdirs.am (mostlyclean-recursive ...): Build local_target, not
	target.  From Raja R Harinath.

	Completely changed how languages and source files are handled:
	* automake.in: Call register_language for each language.
	(lang_c_rewrite): New function.
	(lang_cxx_rewrite): Likewise.
	(lang_header_rewrite): Likewise.
	(lang_yacc_rewrite): Likewise.
	(lang_yaccxx_rewrite): Likewise.
	(lang_lex_rewrite): Likewise.
	(lang_lexxx_rewrite): Likewise.
	(lang_asm_rewrite): Likewise.
	(lang_fortran_rewrite): Likewise.
	(register_language): Likewise.
	(extension_map): New global.
	(language_map): Likewise.
	(resolve_linker): New function.
	(handle_single_transform_list): Rewrote to use lang_X_rewrite
	functions.  Changed meaning of first argument.
	(initialize_per_input): Removed seen_any_source.  Initialize
	language_scratch, extension_seen.  Removed cxx_extensions,
	seen_c_source, dir_holds_headers, dir_holds_sources.
	(handle_source_transform): Don't compute $objpat.  Pass $obj
	directly to handle_single_transform_list.
	(handle_built_sources): Fixed call to
	handle_single_transform_list.
	(lang_c_finish): New function.
	(lang_cxx_finish): Likewise.
	(lang_header_finish): Likewise.
	(lang_yacc_finish): Likewise.
	(lang_yaccxx_finish): Likewise.
	(lang_lex_finish): Likewise.
	(lang_lexxx_finish): Likewise..
	(lang_asm_finish): Likewise.
	(lang_fortran_finish): Likewise.
	(yacc_lex_finish_helper): Likewise.
	(libtool_compiler): Likewise.
	(saw_extension): New function.
	(handle_lib_objects_cond): Use saw_extension, not old variables.
	(handle_yacc_lex_cxx): Removed.
	(finish_languages): New function.
	(get_object_extension): Don't set dir_holds_sources.
	(handle_headers): Don't set dir_holds_headers.  Instead, call
	saw_extension.
	(saw_sources_p): New function.
	(handle_tags): Use it.
	(handle_dependencies): Likewise.
	(cxx_extensions): New function.
	(handle_dependencies): Use it.
	(generate_makefile): Call finish_languages, not
	handle_yacc_lex_cxx.

1998-05-24  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* texi-vers.am: Use the correct target names.  Fix generation of
	stamp file.

	* automake.in (handle_tests): In commands generating site.exp copy
	the old contents from site.exp, not site.bak, which does not
	exist.

Tue Sep 29 00:10:22 1998  Tom Tromey  <tromey@cygnus.com>

	Fixed noinst.test again:
	* automake.in (do_one_merge_target): Special-case `install-am'.
	(handle_merge_targets): Don't compute @install variable.

	Fixes for recurs2.test.  Report from Jim Meyering.
	* automake.in (vars_scanned): Define globally.
	(variable_value_as_list_worker): Delete $var entry in
	%vars_scanned after local work is done.

1998-05-26  Marcus G. Daniels  <mgd@ute.santafe.edu>

	* automake.in: New pattern: INCLUDE_PATTERN.
	(read_am_file):  Make AM_FILE a local filehandle.
	For INCLUDE_PATTERN, store included paths on @include_stack and call 
	read_am_file with argument.
	(handle_configure): When printing the dependencies for
	Makefile.in, print the items on include_stack (if any) as
	dependencies, too.

	* automake.texi: Make a command index `cm' that goes into the
	concept index.  Put if, endif, else, and include in the command index.
	(Include): Show usage of include directive.  

Mon Sep 28 00:03:45 1998  Tom Tromey  <tromey@cygnus.com>

	`.' in SUBDIRS changes order of builds:
	* Makefile.am (SUBDIRS): Added `.'.  Put tests last.
	* tags.am (TAGS): Don't look for TAGS file in `.'.
	* automake.texi (Top level): Document SUBDIRS change.
	* automake.in (handle_installdirs): Create separate installdirs-am
	target.
	(handle_merge_targets): Don't put all-am onto @all.  Fixed error
	message.  Correctly handle install-info.  Give error if
	install-info-local inappropriately defined.  Don't special-case
	install-data, install-exec, install, uninstall, or all.
	(handle_subdirs): Don't push `-recursive' target names onto
	corresponding lists.
	(do_one_merge_target): Always define `-am' form of rule, and point
	ordinary form to `-am' or `-recursive' as appropriate.
	Special-case `all'.
	(do_check_merge_target): Generate check-am target.
	(handle_dist_worker): Use target_defined.
	(handle_dist): Likewise.
	(handle_merge_targets): Likewise.
	(do_one_merge_target): Likewise.
	(do_check_merge_target): Likewise.
	(do_one_clean_target): Likewise.
	(initialize_per_input): Initialize $all_target.
	(do_one_clean_target): Always generate -am form of rule; other
	changes for new SUBDIRS change.
	(handle_clean): Always generate clean-am form of rule.
	(handle_tags): Only build subdir if not `.'.
	(handle_dist_worker): Skip `.' directory.
	* subdirs.am: Allow `.' to be specified in SUBDIRS.

Sun Sep 27 20:02:21 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.texi (Dist): Document EXTRA_DIST change.
	* automake.in (handle_dist_worker): Allow subdirs in EXTRA_DIST.

	* automake.in (handle_ltlibraries): Wrote better comment about
	EXTRA_LTLIBRARIES.

	* automake.texi (Invoking Automake): Document --copy.
	* automake.in (copy_missing): New global.
	(parse_arguments): Recognize --copy/-c.
	(require_file_internal): Handle $copy_missing.  Fixed error
	message.
	(initialize_global_constants): Document -c/--copy.

	* automake.texi: Document LIBOBJS trick.

	* automake.in (handle_dist_worker): If DIST_SUBDIRS defined, use
	it even when SUBDIRS not conditional.

	* automake.in (quote_cond_val): Turn tabs into \003.
	(unquote_cond_val): Turn \003 back into tabs.  Fixes test
	cond6.test.

	* automake.in (read_am_file): Treat backslash-newline as
	whitespace.  Test parse.test.

Sat Sep 26 19:31:22 1998  Tom Tromey  <tromey@cygnus.com>

	* configure: Rebuilt.
	* configure.in: Upped version to 1.3c.

	Track recent autoconf changes:
	* m4/Makefile.in: Rebuilt.
	* m4/Makefile.am (m4data_DATA): Updated for deleted files.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Use AC_PROG_INSTALL.
	* m4/mingw.m4: Removed.
	* m4/cygwin.m4: Removed.
	* m4/install.m4: Removed.
	* m4/exeext.m4: Removed.
	* automake.in (scan_one_configure_file): Don't look for
	AM_EXEEXT.
	(check_cygnus): Only mention AC_EXEEXT.
	(obsolete_macros): Mention AM_PROG_INSTALL, AM_EXEEXT,
	AM_CYGWIN32, AM_MINGW32.
	($seen_prog_install): Changed interpretation; changed all users.
	(scan_one_configure_file): Don't look for AM_PROG_INSTALL.
	($scripts_installed): Removed.
	(handle_scripts): Use local $scripts_installed.
	* aclocal.in (obsolete_macros): Added AM_PROG_INSTALL, AM_EXEEXT,
	AM_CYGWIN32, AM_MINGW32.

Mon Jul  6 14:52:49 1998  Ian Lance Taylor  <ian@cygnus.com>

	* compile.am (mostlyclean-compile): If OBJEXT, remove *.$(OBJEXT)
	along with *.o.

Thu May 28 18:49:47 1998  Ian Lance Taylor  <ian@cygnus.com>

	* automake.in (seen_objext): New variable.
	(get_object_extension): If seen_objext, use .$(OBJEXT) rather than
	.o.  When including compile.am, keep or discard OBJEXT lines
	according to whether seen_objext is set.  If seen_objext, add .obj
	to @suffixes.  If seen_objext, use .$(OBJEXT) rather than .o when
	building ansi2knr.
	(handle_yacc_lex_cxx): If seen_objext, add a rule to create .obj
	files.  If seen_objext, use .$(OBJEXT) rather than .o when
	building ansi2knr.
	(scan_one_configure_file): Check for .obj as well as .o in
	LIBOBJS.  Set seen_exeext if we see AC_EXEEXT.  Look for
	AC_OBJEXT, and if found set seen_objext and set OBJEXT in
	configure_vars.
	(check_cygnus): Change error message to permit AC_EXEEXT.
	* compile.am: Add OBJEXT lines for .c.obj compilation.
	* Makefile.in: Rebuild.
	* m4/Makefile.in: Rebuild.
	* tests/Makefile.in: Rebuild.

Mon Sep 11 16:07:55 1997  Chris Provenzano <proven@cygnus.com>

	* header-vars.am: SHELL=@SHELL@
	Ran aclocal, autoconf, and automake.

Sat Sep 26 16:31:29 1998  Tom Tromey  <tromey@cygnus.com>

	* ltlib.am: Use $(INSTALL) and not $(INSTALL_DATA).

Mon Sep 14 08:27:38 1998  Per Cederqvist  <ceder@lysator.liu.se>

	* automake.in (handle_texinfo): The logic for when to provide
	texinfo.tex was broken.  Attempt to fix.

Mon Sep 14 00:55:12 1998  Per Cederqvist  <ceder@lysator.liu.se>

	Fix for Dynix 3.1.1.
	* automake.in (handle_yacc_lex_cxx): Transform "# " to "#line";
 	some compilers (such as /bin/cc on Dynix 3.1.1) don't accept the
 	output from the preprocessor.

Tue Aug 25 18:40:51 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_tests): Don't create site.exp target if it
	is already in Makefile.am.

Sun Aug 16 23:26:26 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_configure): Use @inputs, not
	@rewritten_inputs, when constructing CONFIG_FILES.  Use different
	list to test for file existence.  Test colon6.test.
	(rewrite_inputs_into_dependencies): Added add_srcdir argument.
	Updated all callers.

Wed Aug 12 14:16:57 1998  Tom Tromey  <tromey@cygnus.com>

	* Released 1.3b.

Tue Aug 11 12:18:59 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_clean): Added missing close-paren.  Quote
	`$' so it doesn't expand when replacing.  From Markus
	F.X.J. Oberhumer.

	* aclocal.in (usage): Changed bug address.
	* automake.in (usage): Changed bug address.

	* clean.am (distclean-generic): Don't mention
	DISTCONFIGCLEANFILES.  From Markus F.X.J. Oberhumer.

Mon Aug 10 20:57:35 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_yacc_lex_cxx): Redirect ansi2knr output to
	correct file.  From Kave Ghazi.

Sun Aug  2 16:05:16 1998  Tom Tromey  <tromey@cygnus.com>

	* Released 1.3a.

	* config.sub, config.guess, texinfo.tex: New versions from FSF.

Sun Jul 19 00:04:25 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (variable_conditions): Initialize %vars_scanned.
	(variable_conditions_sub): Check it.  Test cond5.test.

Sat Jul 18 00:24:14 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (variable_value_as_list_worker): Renamed from
	variable_value_as_list.  Set entry in vars_scanned, and give error
	if variable recursively defined.  Test recurs.test.
	(value_to_list): Call it instead.
	(variable_value_as_list): New function.

	* automake.in (variable_conditions_sub): If var is not
	conditional, but does have conditional subvariables, then return
	value should be all permutations of subvariable conditions.  Test
	cond4.test.
	(handle_source_transform): Define _OBJECTS variable with each
	condition; no need to define multiple new variables.

Fri Jul 17 12:56:14 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (am_install_var): Use DESTDIR, not DATADIR.  From
	Motoyuki Kasahara.

	* automake.in (scan_dependency_file): Recognize DOS-style paths as
	absolute.
	* ylwrap: Recognize DOS-style paths as absolute.  From Ian Lance
	Taylor.

Fri Jul 17 07:37:20 1998  H.J. Lu  (hjl@gnu.org)

	* ylwrap: Don't use absolute path if the input is in the
	current directory.

Fri Jul 17 11:58:27 1998  Ian Lance Taylor  <ian@cygnus.com>

	* automake.in: Use $(AM_MAKEFLAGS) in every invocation of $(MAKE).
  	* subdirs.am: Likewise.

Thu Jul 16 18:09:03 1998  Ian Lance Taylor  <ian@cygnus.com>

	* remake.am (config.status): Depend upon
	$(CONFIG_STATUS_DEPENDENCIES).
	* automake.in (handle_configure): Examine
	CONFIG_STATUS_DEPENDENCIES.

Tue Jul 14 13:37:48 1998  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am: Always look in srcdir for automake.in.

Tue Jun 23 14:00:27 1998  Ian Lance Taylor  <ian@cygnus.com>

	* progs.am: Don't let $(EXEEXT) interfere with $(transform).
	Report from Mike Stump <mrs@wrs.com>.

Tue Jun  2 13:27:34 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (scan_one_configure_file): Make CONFIGURE file
	handle local.  From Kevin Street.

	* automake.in (read_am_file): Error if blank line or comment
	follows trailing backslash.  Test syntax.test.
	(file_contents_with_transform): Likewise.

Thu May 28 18:49:47 1998  Ian Lance Taylor  <ian@cygnus.com>

	* automake.in (handle_configure): Always use $(SHELL) when running
	config.status.

Mon Jun  1 14:23:29 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_yacc_lex_cxx): Use AM_CPPFLAGS, AM_CXXFLAGS,
	AM_CFLAGS.
	(output_yacc_build_rule): Use AM_YFLAGS, AM_LFLAGS.
	(handle_dependencies): Don't define CXXMKDEP.

	* clean.am (mostlyclean-generic): Prefix rule with MOSTLYCLEAN.
	(clean-generic): Prefix rule with CLEAN.
	(distclean-generic): Prefix rule with DISTCLEAN.
	(maintainer-clean-generic): Prefix rule with MAINTAINERCLEAN.
	BUILT_SOURCES now handled in automake itself.
	* automake.in (initialize_per_input): Initialize
	maintainer_clean_files.
	(handle_yacc_lex_cxx): Put lex and yacc output files onto
	@maintainer_clean_files.
	(handle_clean): Handle @maintainer_clean_files.  Transform
	clean.am when installing; try to remove unnecessary tests in
	generated code.

	* automake.in (do_check_merge_target): Only generate $(MAKE)
	command if there are check targets to make.  Report from Karl
	Heuer.

Sun May 17 23:05:55 1998  Tom Tromey  <tromey@cygnus.com>

	* aclocal.in (write_aclocal): Fixed generated copyright message.
	From Eleftherios Gkioulekas.

	* automake.in (parse_arguments): Typo fix from Paul D. Smith.

Fri May  8 12:14:03 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_yacc_lex_cxx): Put lex and yacc output files
	onto @clean.

Wed May  6 01:18:05 1998  Tom Tromey  <tromey@cygnus.com>

	* header-vars.am (DESTDIR): Changed from DISTDIR.

Fri Apr 24 10:16:20 1998  Tom Tromey  <tromey@cygnus.com>

	* libs.am: Don't display loop while it runs.

Sun Apr  5 13:58:24 1998  Tom Tromey  <tromey@cygnus.com>

	* Released 1.3.

	* automake.in (handle_options): Correctly handle trailing alpha
 	version letter or lack thereof.  Test version3.test.

	* automake.in (am_conf_line_warning): Perl 4 fixlet; typo fix.

	* automake.in (handle_ltlibraries): Examine _DEPENDENCIES
	variable.  Report from Chris Provenzano.  Test library.test.
	(handle_libraries): Likewise.

	* m4/lex.m4: Allow AM_PROG_LEX to be called with no arguments.

Sun Apr  5 13:54:25 1998  Alexandre Oliva <oliva@dcc.unicamp.br>

	* automake.in (scan_one_configure_file): Only warn about
	AC_DECL_YYTEXT and AC_PROG_LEXX.
	(am_conf_line_warning): New function.

Fri Apr  3 15:43:46 1998  Doug Evans  <devans@seba.cygnus.com>

	* automake.in (handle_configure): Fix setting of colon_infile
	in case where multiple files are used to build Makefile.
	[ Test colon5.test ]
	
Fri Apr  3 13:07:58 1998  Tom Tromey  <tromey@cygnus.com>

	* ansi2knr.c, texinfo.tex: New versions from respective
	maintainers.

	* automake.in (scan_one_configure_file): Exclude INSTALL_DATA from
	configure_vars.  Test instdata.test.

Tue Mar 31 21:07:42 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_yacc_lex_cxx): Changed to use new version of
	ansi2knr.
	* ansi2knr.c: New version from L. Peter Deutsch.

Thu Mar 26 11:00:04 1998  Tom Tromey  <tromey@cygnus.com>

	* m4/exeext.m4: Correctly eliminate bad cases when computing
	am_cv_exeext.  Report from Markus F.X.J. Oberhumer.

Wed Mar 25 15:09:56 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_options): Support alpha version numbers.

	* lisp.am (install-@DIR@LISP): Allow .el files to appear in build
	directory.  From Gary V Vaughan.

Mon Mar 23 07:55:04 1998  Tom Tromey  <tromey@cygnus.com>

	* Released 1.2h.

	* header.am (install-@DIR@HEADERS): A header can appear in the
	build directory as well as the source directory.  From Gary V
	Vaughan.

	* automake.in (handle_yacc_lex_cxx): Push lib sources onto
	de_ansi_files before generating ._c dependencies.  Test
	libobj8.test.

	* m4/mktime.m4: New version from Jim Meyering.

	* aclocal.in (usage): Document --print-ac-dir.
	(parse_arguments): Added --print-ac-dir.

	* ansi2knr.c, ansi2knr.1: New versions from ghostscript.
	(main): Reapplied "-" change from Harlan Stenn.

Fri Mar 20 22:42:30 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (scan_one_configure_file): Use &am_conf_line_error,
	not warn.  Check to make sure warnings happen only for
	configure.in, not for "not aclocal.m4".

Fri Mar 20 22:35:31 1998  Alexandre Oliva <oliva@dcc.unicamp.br>

	* automake.in: understand AM_PROG_LEX as a replacement for
	AC_PROG_LEX and AC_DECL_YYTEXT
	warn if the replaced macros are used.
	* m4/Makefile.am: add lex.m4
	* m4/lex.m4 (AM_PROG_LEX): new file and macro
	* missing: added lex/flex support
	instead of touching flex and bison output files, try to copy
	them from a filename based on the last given argument

Fri Mar 20 00:26:10 1998  Tom Tromey  <tromey@cygnus.com>

	* m4/protos.m4: Require AC_PROG_CPP.

	* aclocal.in (add_file): If &search fails, and macro matches AM_,
	then print error.  Test aclocalii.test.

	De-ansi-fication fixes from Harlan Stenn:
	* ansi2knr.c (main): Accept "-" argument to mean stdin.
	* automake.in (handle_yacc_lex_cxx): Preprocess C source before
	running through ANSI2KNR.
	(get_object_extension): Generate rule for <dir>/ansi2knr.o.

	* texinfos.am: Include $(DESTDIR).
	* lisp.am: Include $(DESTDIR).
	* java.am: Include $(DESTDIR).
	* mans.am (install-man@SECTION@): Include $(DESTDIR).
	* automake.in (handle_man_pages): Include $(DESTDIR) in
	installdirs variable.
	(handle_texinfo): Likewise.
	(am_install_var): Likewise.
	* header-vars.am (DISTDIR): Define.
	* data.am, header.am, libs.am, ltlib.am, progs.am, scripts.am:
	Support $(DESTDIR) at install time.  From Assar Westerlund.

	* automake.in (handle_java): Put Java sources in distribution.

Thu Mar 19 01:33:35 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_java): Put JAVACFLAGS after -d option.  From
	Per Bothner.

	* automake.in (handle_java): Use $(JAVAROOT) in place of `../..'
	in default CLASSPATH.
	(am_install_var): Allow `JAVA' variable to be defined.  Don't
	define `JAVA' primary.

	* automake.in (scan_one_configure_file): Check for `sinclude' and
	turn into recursive call.

	* automake.in (initialize_per_input): Set $output_all.
	(generate_makefile): Don't set $output_header or generate
	`default' target.  Print $output_all before $output_header.
	(handle_merge_targets): Put `all' target into $output_all.

Wed Mar 18 14:48:44 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_configure): Put secondary dependencies from
	multi-":" AC_OUTPUT entry into dependency list for file created by
	config.status, not file created by automake.  Test colon3.test.
	(generate_makefile): Pass $output, not $makefile, to
	handle_merge_targets.

	* Makefile.am (pkgdata_DATA): Added java.am, java-clean.am.
	* java-clean.am: New file.
	* java.am: New file.
	* automake.in (generate_makefile): Call handle_java.
	(handle_java): New sub.
	(am_install_var): Only push primary variable on @all if not doing
	Java.

Sun Mar  8 15:43:09 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_configure): When recognizing AC_OUTPUT ":"
	syntax, make regexp less greedy.  From Maciej W. Rozycki.  Test
	colon4.test.

Fri Mar  6 21:20:53 1998  Tom Tromey  <tromey@cygnus.com>

	* m4/exeext.m4 (AM_EXEEXT): Ignore am_c_test.o.  From Bruno
	Haible.

Tue Feb 24 12:10:44 1998  Tom Tromey  <tromey@cygnus.com>

	* Released 1.2f.

	* mans.am (install-man@SECTION@, uninstall-man@SECTION@): Quote
	`$' in sed expression.

	* config.guess, config.sub, texinfo.tex: New versions from FSF.

	* Makefile.am (pkgdata_DATA): Added mans.am.
	* automake.in (handle_man_pages): Rewrote for new man page
	handling.
	(initialize_global_constants): Removed install_man_format,
	uninstall_man_format.
	* mans.am: New file.

	* data.am, header.am, libs.am, lisp.am, ltlib.am, progs.am,
	scripts.am, texinfos.am: Put `@' before NORMAL_UNINSTALL
	invocation.

Mon Feb 23 13:38:56 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (get_object_extension): Remove .c.lo rule from
	libtool when dependencies turned on.
	* libtool.am (.c.lo): Disable when dependency checking turned on.

	Dependency fixes from Alexandre Oliva:
	* automake.in (handle_dependencies): Fixed quoting when
	substituting @PFX@ and @EXT@.  Don't look for the `.P' file.
	* depend2.am (%.o): Use @PFX@ and @EXT@.
	(%.lo): New rule.

	* texinfos.am (.txi.info, .txi.dvi, .txi): New rules.
	* automake.in (handle_texinfo): Recognize .txi files.  From Karl
	Berry.

	* automake.in (handle_single_transform_list): $objpat now a
	parameter.  Set $objpat when suffix rule found.

	* aclocal.in (parse_arguments): Only put current year in --version
	output.
	* automake.in (parse_arguments): Only put current year in
	--version output.

Mon Feb 16 00:12:03 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_aclocal_m4): When processing -I options,
	directory is separate argument.  Test aclocali.test.

Fri Feb 13 14:35:39 1998  Ian Lance Taylor  <ian@cygnus.com>

	* automake.in (handle_texinfo): Correct condition for whether
	texinfo.tex is required.  [Test texinfo5.test]

Fri Feb 13 00:28:53 1998  Tom Tromey  <tromey@cygnus.com>

	* Released 1.2e.

	* Makefile.am: Removed bogus line.

Thu Feb 12 22:27:05 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (get_object_extension): Conditionally include .c.o
	rule from compile.am.
	(handle_dependencies): Generate correct code when including new
	depend2.am.
	(file_contents_with_transform): Better error reporting.
	* depend.am (MKDEP): Removed.
	(.deps/.P): Removed.  Don't include .deps/.P.
	* compile.am (.c.o): Now conditional on dependencies not being
	generated by compiles.
	* depend2.am (%.o): New rule.
	(.deps/%.P): Removed.

	* tags.am (TAGS): Uniquify list of files.  From Harlan Stenn.

	* aclocal.in (scan_m4_files): Reverse-sort keys when constructing
	`search' function.  From Johan Danielsson.

Tue Sep 16 14:13:15 1997  Paul D. Smith  <psmith@baynetworks.com>

	* automake.in: Create new option --generate-deps.  This option has
	automake generate a .dep_segment file containing just the
	dependencies created from the .P list.  This is needed to maintain
	other makefiles that automake doesn't deal with (Makefile.DOS,
	SMakefile, etc.)
	* automake.texi (Invoking Automake): Document it.

Thu Feb 12 19:45:16 1998  Tom Tromey  <tromey@cygnus.com>

	* aclocal.in (scan_configure): Tightened regexp a bit.  Test
	whoami.test.  From Johan Danielsson.

	Report from H.J. Lu.
	* automake.in (output_yacc_build_rule): Don't write rule to create
	`.h' file.
	(handle_yacc_lex_cxx): Generate rule to build each .h file.

	* automake.in (handle_options): Set readme-alpha and check-news
	for Gnits after main processing.  Test alpha.test.  From Jim
	Meyering.

	* aclocal.in (usage): Updated bug-reporting address.
	* automake.in (usage): Updated bug-reporting address.

	* compile.am: Remove *.core for 4.4BSD systems.  From Assar
	Westerlund.

	* automake.in (handle_single_transform_list): Don't set
	seen_any_source if all sources are C++.

Wed Feb 11 17:30:01 1998  Tom Tromey  <tromey@cygnus.com>

	* aclocal.in (write_aclocal): Write to $output_file, not
	aclocal.m4.  From Alexandre Oliva.

Thu Feb  5 13:38:55 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (scan_one_configure_file): Put CXCPP before CXX in
	regexp.  From Garth Corral.  Test cxxxcpp.test.

Sun Jan 25 11:16:53 1998  Tom Tromey  <tromey@cygnus.com>

	* automake.in (generate_makefile): Run handle_minor_options before
	handle_dist, to make sure README-alpha ends up in distribution.
	From Jim Meyering.

Tue Jan 13 09:19:33 1998  Tom Tromey  <tromey@cygnus.com>

	* aclocal.in (add_file): Hack for Perl 4.  From Seth Alves.

Thu Dec 11 12:29:46 1997  Ian Lance Taylor  <ian@cygnus.com>

	* scripts.am: Don't add @EXEEXT@ to installed scripts.  Scripts
	are not executables.

Tue Dec  2 20:07:18 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (initialize_global_constants): Bug fix in
	uninstall_man_format.  Report from Eric Backus.

Mon Dec  1 13:52:39 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_source_transform): Correctly generate
	_OBJECTS when _SOURCES is defined conditionally.  Reported by Rob
	Savoye.  Test cond3.test.

	Fixes for test objc.test:
	* automake.in (initialize_per_input): New global seen_any_source.
	(handle_yacc_lex_cxx): Use seen_any_source to decide when to
	define LINK, et al.
	(handle_single_transform_list): Set seen_any_source.
	(handle_lib_objects_cond): Likewise.

Wed Nov 26 13:41:57 1997  Tom Tromey  <tromey@cygnus.com>

	* Released 1.2d.

	* m4/ccstdc.m4: Don't force AM_PROG_CC_STDC before AC_PROG_CPP.
	Temporary hack.

	* m4/mktime.m4 (AM_FUNC_MTIME): New version from Paul Eggert.

	* header-vars.am (NORMAL_INSTALL, PRE_INSTALL, POST_INSTALL,
	NORMAL_UNINSTALL, PRE_UNINSTALL, POST_UNINSTALL): Define as `:',
	not `true'.

	* automake.in (output_yacc_build_rule): Don't overwrite .h file in
	non-ylwrap case.

	* tags.am (ID): Scan lisp files.
	(TAGS): Make tags for lisp files.

Tue Nov 25 14:20:42 1997  Tom Tromey  <tromey@cygnus.com>

	* ltlib.am: Use INSTALL_DATA, not INSTALL_PROGRAM.  From Gord
	Matzigkeit.

Fri Nov 21 15:15:50 1997  Tom Tromey  <tromey@cygnus.com>

	* m4/mingw.m4, m4/cygwin.m4: Argument to AC_TRY_COMPILE is
	function body, not entire function.  From Ian Taylor.

Sat Oct 25 12:39:19 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (scan_one_configure_file): Skip empty string for
	Perl 4.  From Assar Westerlund.

	* config.guess, config.sub, texinfo.tex: New versions from FSF.

Fri Oct 24 23:15:09 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (output_yacc_build_rule): Use YFLAGS again.
	(handle_yacc_lex_cxx): Error if YACCFLAGS used.

Wed Aug 27 19:26:45 1997  Rob Savoye  <rob@chinadoll.cygnus.com>

	* compile.am: Add suffix rules for ".s.o" and ".S.o" so assembler
	files can be used.
	* libtool.am: Add suffix rules for ".s.lo" and ".S.lo" so assembler
	files can be used.
	* automake.in: Add .S and .s to the standard list of suffixes so
	assembler files can be used.

Fri Oct 24 13:39:01 1997  Tom Tromey  <tromey@cygnus.com>

	* m4/exeext.m4: Require AM_MINGW32.  Check MINGW32 setting.

Thu Oct 23 21:16:28 1997  Tom Tromey  <tromey@cygnus.com>

	* m4/init.m4 (missing_dir): AC_REQUIRE AM_SANITY_CHECK,
	AC_ARG_PROGRAM, and AC_PROG_MAKE_SET.

Tue Oct 21 16:49:36 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_options): Recognize `cygnus'.

Tue Sep  9 17:09:47 1997  Rob Savoye  <rob@chinadoll.cygnus.com>

	* m4/mingw.m4: New file for mingw32 support.
	* m4/exeext.m4: Also check for the mingw32 environment.

Tue Oct 21 00:39:44 1997  Tom Tromey  <tromey@cygnus.com>

	* m4/Makefile.am (m4data_DATA): Added mingw.m4.

	* automake.in (handle_lib_objects_cond): Don't require @LEXLIB@.
	(handle_programs): Likewise.

	* subdirs.am (check-recursive installcheck-recursive
	info-recursive dvi-recursive): Handle case when SUBDIRS is empty.
	(maintainer-clean-recursive): Likewise.  From Assar Westerlund.

	* aclocal.in (scan_m4_files): If macro recognized, &search will
	return 1.
	(scan_configure): If AM_ macro not found, give error.

	* m4/sanity.m4: If `ls' completely fails, die.  From Jim
	Meyering.

Mon Oct 20 16:13:48 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_single_transform_list): Fixlet for Fortran.
	From Bernard Urban.

	* libtool.am: Remove _libs, for libtool 1.0d.  From Gord
	Matzigkeit.

Sun Oct 19 22:59:35 1997  Tom Tromey  <tromey@cygnus.com>

	* texinfos.am: Bug fix.  From John W. Coomes.

Mon Sep 29 12:57:00 1997  Tom Tromey  <tromey@cygnus.com>

	* Released 1.2c.

	* automake.in (handle_dist_worker): In topmost directory of
	project, use `distdir', not `top_distdir', as argument to
	--output-dir; likewise when building in subdirs.

Sun Sep 28 15:55:46 1997  Tom Tromey  <tromey@cygnus.com>

	* m4/sanity.m4: Test $*, not $@.  From Akim Demaille.

	* automake.in (handle_minor_options): New sub.
	(check_gnits_standards): Don't handle README-alpha here.
	(handle_dist_worker): Check NEWS file if `check-news' option
	requested.
	(generate_makefile): Run handle_minor_options.
	(handle_options): Handle readme-alpha and check-news.  Set them if
	--gnits.

	* depend.am (MKDEP): Use $(CC), not gcc.

Wed Sep 24 23:48:26 1997  Tom Tromey  <tromey@cygnus.com>

	* Release 1.2b.

	* m4/ccstdc.m4 (AM_PROG_CC_STDC): Make sure this is run before
	AC_PROG_CPP.  From Markus Oberhumer.

Fri Sep 12 00:04:19 1997  Paul Eggert  <eggert@twinsun.com>

	* m4/ccstdc.m4 (AM_PROG_CC_STDC): Don't look at __STDC__;
	look only at whether function prototypes are supported.

Wed Sep 24 16:10:37 1997  Tom Tromey  <tromey@cygnus.com>

	* Various: Put "-" before each `rm' line.  This avoids a bug in
	some losing makes (Ultrix, 4.3 BSD).

	* automake.in (handle_dist_worker): Correctly handle subdirs that
	have their own configure.in.  From Peter Mattis.

	* automake.in (handle_yacc_lex_cxx): Handle de-ansi-fied sources
	in srcdir as well as build dir.

	* automake.in (scan_one_configure_file): Detect AC_OUTPUT().
	(handle_single_transform_list): Don't apply length() to a list.

	* automake.in (handle_programs): Define _DEPENDENCIES variable if
	not defined by user.

Thu Sep 18 19:43:38 1997  Tom Tromey  <tromey@cygnus.com>

	* m4/sanity.m4: Quote "$@" for m4.  From Gord Matzigkeit.

Mon Sep  1 23:50:38 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_texinfo): Set need_texi_file only when
	TEXINFO_TEX not defined.

Thu Aug 28 09:37:29 1997  Tom Tromey  <tromey@cygnus.com>

	From Juergen Erhard:
	* automake.in (SUFFIX_RULE_PATTERN): New global.
	(handle_single_transform_list): If suffix matches a source suffix,
	rewrite.
	(read_am_file): Add suffix rules to %suffix_rules.
	(initialize_per_input): Initialize %suffix_rules.

Wed Aug 27 12:56:50 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_texinfo): Also remove .kys and .ps files.

	* automake.in (handle_yacc_lex_cxx): Quoting fixlet.  From Kaveh
	Ghazi.

	* aclocal.in (write_aclocal): Print copyright and copying
	permissions.  From RMS.
	* automake.in (initialize_global_constants): More copyright stuff
	from RMS.

	* automake.in (handle_texinfo): Only require texinfo.tex in
	appropriate situations.  Report from Paul D. Smith.

Mon Aug 25 15:45:52 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (scan_dependency_file): Fix so that
	OMIT_DEPENDENCIES will work.  From Alexander Lukyanov.

	* automake.in (handle_texinfo): texi2dvi can generate `.cn'
	files.  From Akim Demaille.

Wed Aug  6 10:51:37 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_texinfo): Reversed sense of test.

Tue Aug  5 17:49:54 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_dependencies): Always mark OMIT_DEPENDENCIES
	as seen.

	* automake.in (handle_yacc_lex_cxx): Make each _.c file depend on
	ansi2knr.

	* automake.in (handle_yacc_lex_cxx): Fix for makes which don't
	allow $< in non-suffix rules.  From Akim Demaille.

	* automake.in (value_to_list): If variable name contains configure
	substitution, then just ignore it.

	* automake.in (variable_defined): Mark variable is seen, even if
	only conditionally seen.

	* Makefile.am: Check for bad splits.
	* automake.in (various): Use split(' ',...), not split(/ /,...).

Tue Aug  5 14:08:51 1997  Ian Lance Taylor  <ian@cygnus.com>

	* ylwrap: If the program is a relative path, force it to be
	absolute.

Tue Aug  5 16:59:41 1997  Tom Tromey  <tromey@cygnus.com>

	* missing: Examine A[CM]_CONFIG_HEADER for name of files to
	touch.  From Markus F.X.J. Oberhumer.

	* automake.in (require_file_internal): Better error message when
	installing.

	* automake.in (handle_texinfo): Smarter test when deleting output
	of makeinfo.

Sat Aug  2 13:32:45 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (do_check_merge_target): In --cygnus mode, check
	doesn't depend on all.

	* automake.in (output_yacc_build_rule): Use YACCFLAGS, not
	YFLAGS.  Per GNU Standards.

	* dejagnu.am (RUNTESTDEFAULTFLAGS): New macro.
	(check-DEJAGNU): Use it.

	* subdirs.am (maintainer-clean-recursive): Actually reverse subdir
	list.  From Alexander Lukyanov.

	* automake.in (initialize_global_constants): Changed generated
	copyright.  From RMS.

	* automake.in (handle_configure): Pass correct value for
	CONFIG_FILES.  From Ian Taylor.

Thu Jul 31 17:36:10 1997  Ian Lance Taylor  <ian@cygnus.com>

	* ylwrap (pairlist): Shift out trailing "--"; don't pass it to
	$prog.

Thu Jul 24 00:52:02 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (initialize_global_constants): Changed index names
	in dist hash so that alternate dist targets will be generated.
	Report from Glenn Amerine.

	Suggestion from Karl Berry:
	* automake.in (usage): Added short info line.

	* aclocal.in (usage): Updated bug-reporting address.  Added short
	info line.

	* automake.in (handle_emacs_lisp): Put contents of lisp-clean.am
	into output.  Report from Karl Berry.

Mon Aug 25 16:14:32 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_configure): Only generate ":" syntax for
	CONFIG_FILES when really needed.

Wed Aug  6 14:47:12 1997  Ian Lance Taylor  <ian@cygnus.com>

	* remake-hdr.am (@CONFIG_HEADER@): Use a dummy command to force
	GNU make to recheck the file modification time.

Tue Aug  5 14:44:10 1997  Ian Lance Taylor  <ian@cygnus.com>

	* ylwrap: If the program is a relative path, force it to be
	absolute.

Mon Aug  4 14:52:08 1997  Ian Lance Taylor  <ian@cygnus.com>

	* automake.in ($RULE_PATTERN): Accept $ in body of rule name.
 	(handle_programs): Don't append $(EXEEXT) if the
	program name contains '.'.
	(am_install_var): When rewriting _PROGRAMS, don't append $(EXEEXT)
	if the program names contains '.'.  Also, handle conditionals.

Sat Aug  2 14:43:41 1997  Tom Tromey  <tromey@cygnus.com>

	* m4/exeext.m4: Fixed quoting.

	* m4/exeext.m4 (am_cv_exeext): Use echo, not ls.

	* automake.in (handle_programs): Transform @EXEEXT@ when including
	program.am.

Fri Aug  1 17:09:09 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_programs): Don't transform CYGWIN or
	NOTCYGWIN.
	(am_install_var): Likewise.

	* progs-clean.am (clean-@DIR@PROGRAMS): Never include EXEEXT.

	* progs.am: Removed @EXEEXT@; it is now implicit.
	* program.am: Add @EXEEXT@ in appropriate places; removed
	cygwin-dependent code.
	* automake.in (seen_exeext): Renamed from seen_cygwin32.
	(handle_programs): Use seen_exeext.
	(scan_one_configure_file): Look for AM_EXEEXT, not AM_CYGWIN32.
	(check_cygnus): Use seen_exeext.
	(am_install_var): Likewise.
	(am_install_var): When handling PROGRAMS primary, append EXELIST
	to program names as necessary.
	* m4/exeext.m4: Require AM_CYGWIN32.

Thu Jul 31 17:36:10 1997  Ian Lance Taylor  <ian@cygnus.com>

	* ylwrap (pairlist): Shift out trailing "--"; don't pass it to
	$prog.

	* texinfos.am: Add -I $(srcdir) when invoking $(MAKEINFO) for
	CYGNUS .texinfo.info case and .texinfo case.

	* automake.in (handle_configure): Correct handling of inputs for
	for AC_OUTPUT files when invoking config.status.

Mon Jul 28 15:29:25 1997  Rob Savoye  <rob@chinadoll.cygnus.com>

	* m4/cygwin.m4: Set a variable CYGWIN32, rather than EXEEXT.
	* m4/exeext.m4: New autoconf test for an executable suffix.
	* m4/Makefile.in: Install the new exeext.m4 test.

Sun Jun 22 14:01:59 1997  Tom Tromey  <tromey@cygnus.com>

	* Released version 1.2.

	* automake.in (handle_texinfo): Look for texinfo.tex in aux dir.

	* automake.in (require_file_internal): Only print "installing"
	when actually installing.  From Gord Matzigkeit.

	* automake.in (handle_tests): Exit status `77' means `ignore
	test'.  From François Pinard.
	(handle_tests) Also, make banner same size as text.

	* automake.in (handle_configure): Don't handle PRE_BUILT_SOURCES.
	(handle_built_sources): Likewise; don't have `all' depend on
	BUILT_SOURCES.

	* depend.am (DEPS_MAGIC): New variable.
	(.deps/.P): Depend on BUILT_SOURCES again.

	* texinfos.am: Use ||, not ;.

Tue Jun 10 11:04:16 1997  Tom Tromey  <tromey@cygnus.com>

	* m4/cygwin.m4: Examine output of compiler to see if .exe needed.

Sun Jun  1 13:16:05 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_built_sources): Handle PRE_BUILT_SOURCES.
	(handle_configure): Likewise.

	* depend2.am (.deps/%.P): Don't generate file if MKDEP fails.
	From Alexandre Oliva.

	* depend.am (.deps/.P): Depend on PRE_BUILT_SOURCES, not
	BUILT_SOURCES.

	* automake.in (initialize_global_constants): Added 1997 to
	copyright info.

	* automake.in (output_yacc_build_rule): Never move y.tab.c over
	the .h file.  From Jim Meyering.

Thu May 29 23:16:02 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (scan_one_configure_file): Avoid defining ACLOCAL,
	AUTOCONF, AUTOMAKE, AUTOHEADER.  From David Zaroski.

Sat Feb 22 16:05:24 1997  Gordon Matzigkeit  <gord@gnu.ai.mit.edu>

	* Makefile.am (pkgdata_DATA): Under this new scheme, we no longer
	need compile-kr.am.  Delete it.

	* automake.in (handle_yacc_lex_cxx, get_object_extension): Use
 	_.c, _.o, _.lo instead of ._c, ._o, .l_o for de-ansification.

	* ansi2knr.c (main): Parse our arguments a little differently so
	that we don't create null output files when we can't read the
	input file.

Wed May 28 23:40:33 1997  Tom Tromey  <tromey@cygnus.com>

	* depend.am (.deps/.P): Depend on $(BUILT_SOURCES) again.  From
	Gord Matzigkeit.

Mon May 26 22:50:49 1997  Tom Tromey  <tromey@cygnus.com>

	* remake-hdr.am ($(srcdir)/@STAMP@.in): Make echo silent.  Report
	from Alexandre Oliva.

	* automake.in (generate_makefile): If --no-force, check
	Makefile.in against configure.in and aclocal.m4.  Report from
	Alexandre Oliva.

	* automake.in (handle_dist_worker): Put --include-deps on command
	line if specified originally.
	(handle_configure): Likewise.

	* configure.in: Error if Perl 5.001 is used.

	* ylwrap: Don't quote $prog when executing it.  From Jim
	Meyering.

Thu May 15 12:05:20 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_merge_targets): Set INSTALL_SCRIPT in
	install-strip target.

Tue May 13 08:20:02 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_dependencies): Don't generate dependencies
	if DEP_FILES would be empty.

Sun May 11 13:59:14 1997  Tom Tromey  <tromey@cygnus.com>

	* config.guess: New version from FSF.

	* automake.in (get_object_extension): If ansi2knr in another
	directory, always define ANSI2KNR to full path.  From Akim
	Demaille.

	* kr-extra.am (clean-krextra): Remove ansi2knr here, not in
	distclean-krextra.

	* missing: Regularized grammar.  From François Pinard.

Sat May 10 16:48:47 1997  Tom Tromey  <tromey@cygnus.com>

	* Released 1.1p.

	* m4/init.m4: Error if source directory already configured.

	* automake.in (scan_dependency_file): Always use srcdir name as
	passed in on command line.

Thu May  1 12:53:46 1997  Ian Lance Taylor  <ian@cygnus.com>

	* automake.in (value_to_list): Don't fail when a variable
	substitution is not a complete word.

Tue May  6 15:22:41 1997  Ian Lance Taylor  <ian@cygnus.com>

	* subdirs.am: Fix check for make -k to use $(MAKEFLAGS) and to not
	get fooled by command line arguments.

Sat May 10 15:48:46 1997  Tom Tromey  <tromey@cygnus.com>

	* m4/ccstdc.m4: Print "none needed" if compiler accepts ANSI C by
	default.

Mon May  5 23:24:09 1997  Tom Tromey  <tromey@cygnus.com>

	* mkinstalldirs, config.guess, config.sub, COPYING, texinfo.tex:
	New versions from FSF.

Sun May  4 15:21:22 1997  Tom Tromey  <tromey@cygnus.com>

	* texinfos.am (install-info): Avoid the Debian install-info.
	(uninstall-info): Likewise.

	* automake.in (handle_single_transform_list): Strip any directory
	name before processing name.

Thu May  1 19:24:08 1997  Tom Tromey  <tromey@cygnus.com>

	* depend2.am (.deps/%.P): Don't put $(srcdir)/ into dependency.

Wed Apr 30 19:15:47 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_dist_worker): Change how top_distdir is
	computed.  Based on patch from Ian Taylor.
	(handle_dist): Define top_distdir.

	* automake.in (handle_yacc_lex_cxx): Include CXXFLAGS in CXXLINK.
	(handle_yacc_lex_cxx): Include CFLAGS in LINK.

Wed Apr 30 14:46:37 1997  Ian Lance Taylor  <ian@cygnus.com>

	* automake.in (handle_dist_worker): When building a distribution,
	if SUBDIRS is defined conditionaly, recur into each possible
	subdirectory.

	* clean.am (distclean-generic): Remove stamp-h[0-9]*.

Tue Apr 29 19:11:45 1997  Tom Tromey  <tromey@cygnus.com>

	* INSTALL, mkinstalldirs, install-sh: Update from François
	Pinard.

	* aclocal.in (add_macro): If AC_ macro was defined, then mark it
	as seen.  Report from Janos Farkas.

	* subdirs.am: Clean targets now run in reverse order.  From Kevin
	Dalley.

	* automake.in (handle_texinfo): Put `aminfo', not `info' on
	@clean.

	* mdate-sh: New version from Ulrich Drepper.

Mon Apr 28 01:18:05 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_configure): Makefile only depends on
	BUILT_SOURCES when generating dependencies.

	* Released 1.1o.

Sun Apr 27 23:58:20 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_dist): Use variable_value, not
	variable_contents.

Wed Apr 23 14:04:28 1997  Ian Lance Taylor  <ian@cygnus.com>

	* automake.in (IF_PATTERN): Define.
	(ELSE_PATTERN, ENDIF_PATTERN): Define.
	(AM_CONDITIONAL_PATTERN): Define.
	(%configure_cond): New global hash table.
	(handle_source_transform): If xx_SOURCES is defined conditionally,
	define xx_OBJECTS using the same conditions.
	(handle_lib_objects): If variable is defined conditionally, define
	xx_DEPENDENCIES conditionally.  Most code moved into subroutine.
	(handle_lib_objects_cond): New function, broken out of
	handle_lib_objects.
	(scan_one_configure_file): Look for $AM_CONDITIONAL_PATTERN.
	(conditional_true_when): New function.
	(variable_defined): Add new parameter: cond.  Change some
	callers.
	(variable_conditions): New function.
	(variable_conditionally_defined): New function.
	(variable_value): New function.  Change most uses of $contents to
	call variable_value instead.
	(value_to_list): New function, from variable_value_as_list.
	(variable_value_as_list): Add new parameter: cond.  Change all
	callers.  Move some code into subroutine value_to_list.
	(define_pretty_variable): Add new parameter: cond.  Change call
	callers.
	(read_am_file): Handle conditionals.
	(initialize_per_input): Initialize %conditional and
	@conditional_stack.
	* m4/cond.m4: New file.
	* m4/Makefile.am (m4data_DATA): Add cond.m4.

Sun Apr 27 11:03:36 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_dist_worker): Run automake once per
	directory, instead of once at the top.
	(handle_dist_worker): Changed interface.
	(handle_dist): Likewise.
	(generate_makefile): Better error message if can't write the
	file.
	(handle_dist_worker): Pass top_distdir to subdir makes.

	* automake.in (handle_dist_worker): Use mode 777 on directories in
	distribution.  GNU Standards compliance.

	* automake.in (handle_yacc_lex_cxx): Don't use interlock.
	(output_yacc_build_rule): Don't use interlock; just use new ylwrap
	instead.  The new ylwrap builds in a subdir; idea from Mark
	Eichin.
	(output_lex_build_rule): Likewise.
	(initialize_global_constants): [common_files] Don't include
	interlock.

	* Makefile.am (pkgdata_SCRIPTS): Removed interlock.
	* interlock: Removed.
	* ylwrap: Changed interface.  Now runs command in subdir.

	* remake.am (config.status): Look in srcdir for config header.
	($(srcdir)/configure): Likewise.
	* remake-hdr.am (@STAMP@): Look in srcdir for config header.  From
	Phil Nelson.
	($(srcdir)/@CONFIG_HEADER_IN@): Likewise.

	* automake.in (handle_aclocal_m4): Make target $(ACLOCAL_M4), not
	value spelled out.  From Phil Nelson

	* automake.in (handle_configure): Don't skip Makefiles; instead
	skip automake inputs.
	(handle_merge_targets): Changed interface; put $makefile at
	beginning of @all (rather than Makefile at end).

	* automake.in (handle_yacc_lex_cxx): Correctly compute
	de_ansi_sources.

	* clean-kr.am (distclean-kr): Do nothing; ansi2knr is removed in
	kr-extra.am.

	* Makefile.am: Check to make sure there are no accidental
	configure substitutions.

	* automake.in (handle_texinfo): Don't allow configure substitution
	on @MAKEINFO@ here.

	* automake.in (handle_yacc_lex_cxx): ._c and ._o files both depend
	on $(ANSI2KNR).

	* kr-extra.am (ansi2knr): Removed.
	(ansi2knr.o): Likewise.

	* automake.in (get_object_extension): Allow ansi2knr to be built
	from any directory.

Fri Apr 25 12:33:23 1997  Tom Tromey  <tromey@cygnus.com>

	* missing: Changed bison text.  From Ian Taylor.

	* m4/missing.m4: Redirect stdin of testee.  From Bill Fenner.

	* automake.in (output_yacc_build_rule): Generate rule to create .h
	file.
	(handle_footer): Generate unique, sorted list of suffixes.

	* automake.in (scan_one_configure_file): Recognize AC_PROG_AWK,
	_CPP, _CXCPP, _LN_S.  From Ralph Schleicher.

Mon Apr 21 12:35:57 1997  Ian Lance Taylor  <ian@cygnus.com>

	* automake.in (@config_fullnames): New array.
	(@config_names): New array, replacing $config_name.
	(@config_headers): New array, replacing $config_header.
	(get_object_extension): Handle multiple header files.
	(handle_tags, handle_merge_targets): Likewise.
	(scan_one_configure_file): Likewise.
	(handle_configure): Likewise.  Don't check for the configuration
	header file in AC_OUTPUT; it won't be there.
	* remake-hdr.am: Handle multiple header files.
	* clean-hdr.am: New file, broken out of remake-hdr.am.
	* m4/header.m4: Handle multiple header files.
	* Makefile.am (pkgdata_DATA): Add clean-hdr.am.

Wed Apr 16 00:05:47 1997  Tom Tromey  <tromey@cygnus.com>

	* texinfos.am (.texi.info, .texi, .texinfo.info, .info): Remove

	* automake.in (define_program_variable): Added `override' argument.
	(handle_texinfo): Pass override arg when defining MAKEINFO.
	(AC_MISSING_PROG): New constant.
	(scan_one_configure_file): Use it.

Tue Apr 15 12:12:28 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_texinfo): In --cygnus mode, reserve
	clean-info for the user.

	* automake.in (handle_subdirs): Typo fix.  From Akim Demaille.

	* automake.in (handle_tags): Only use SUBDIRS if it is actually
	defined.  Report from Ian Taylor.

	* tags.am: Added prefix to SUBDIRS rules.

Wed Apr  9 17:09:40 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_ltlibraries): Use correct rpath
	substitution.  Bug from Jim Blandy.

Mon Apr  7 17:40:18 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (AM_INIT_AUTOMAKE_PATTERN): Fixed for new 3rd arg.
	Test version2.test.

Thu Apr  3 19:07:59 1997  Tom Tromey  <tromey@cygnus.com>

	* Released 1.1n.

	* tags.am (TAGS): Run "cd && etags" in subshell for proper
	associativity.

	* texinfos.am (install-info-am): If --cygnus, then info file can
	be in build dir.  From David Zaroski.

	* ltlibrary.am (@LTLIBRARY@): use @RPATH@, not explicit -rpath.

	* automake.in (handle_ltlibraries): Treat EXTRA_ libraries
	specially.

Wed Apr  2 00:03:50 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_source_transform): Don't generate dependency
	on config.h.
	(scan_dependency_file): Strip the .P file from the target.

	* automake.in (handle_tags): Use single, not double, quotes when
	setting list variable.

	* data.am, header.am, libs.am, lisp.am, ltlib.am, progs-clean.am,
	progs.am, scripts.am, tags.am: Use single quotes to fill list
	variable; otherwise `$' in filename will not work.  From Per
	Bothner.

	* mdate-sh: Use "ls -d" so mdate-sh can be run on a directory.
	From Bruno Haible.

	* automake.in (handle_programs): Error if LIBADD used where LDADD
	meant.
	(handle_libraries): Error if LDADD used where LIBADD meant.
	(handle_ltlibraries): Likewise.

Tue Apr  1 22:46:33 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (check_canonical_spelling): New sub.
	(handle_programs): Use it.
	(handle_libraries): Likewise.
	(handle_ltlibraries): Likewise.

Mon Mar 31 12:13:08 1997  Tom Tromey  <tromey@cygnus.com>

	* depend2.am (.deps/%.P): Make .P file depend on everything the .c
	file includes.

Fri Mar 28 23:34:49 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_configure): Error if stamp-h appears in
	AC_OUTPUT line.

Thu Mar 27 17:28:47 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_dist_worker): Avoid automake rules in
	generated Makefile when no-dependencies specified.  From Greg
	Woods.

	* m4/lispdir.m4: Don't AC_SUBST ELCFILES.  From Greg Woods.

	* texi-vers.am (stamp-@VTI@): Make commands silent.

	* Makefile.am (maintainer-check): "true" is ok now.

	* m4/init.m4: Added optional 3rd argument, which avoids
	AC_DEFINE.

	* automake.in (scan_one_configure_file): Explicitly avoid
	INSTALL_SCRIPT to avoid defining it twice.

	* header-vars.am: Change _INSTALL variable definitions to `true'.
	Updated all users to put `@' before invocation.

Tue Mar 25 22:09:45 1997  Tom Tromey  <tromey@cygnus.com>

	Update to follow GNU Standards:
	* automake.in (handle_man_pages): Use NORMAL_UNINSTALL before
	uninstall-man.
	* texinfos.am (uninstall-info): Use two loops, and have
	PRE_UNINSTALL before running install-info.
	* data.am, header.am, libs.am, lisp.am, ltlib.am, progs.am,
	scripts.am, texinfos.am: Use NORMAL_UNINSTALL.
	* header-vars.am (PRE_UNINSTALL, POST_UNINSTALL,
	NORMAL_UNINSTALL): Define.

	* automake.in (scan_one_configure_file): Don't define ANSI2KNR as
	a configure varriable.

	* m4/missing.m4: Run test in a subshell.  From Gord Matzigkeit.

Mon Mar 24 23:28:59 1997  Tom Tromey  <tromey@cygnus.com>

	* m4/sanity.m4: Sleep before creating temp file.

	* header-vars.am (NORMAL_INSTALL, PRE_INSTALL, POST_INSTALL):
	Define.

Sat Mar 22 00:06:00 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (am_install_var): Make sure to delete
	CYGWIN/NOTCYGWIN tokens as appropriate.
	(handle_programs): Remove NOTCYGWIN tokens as well.
	(file_contents_with_transform): A single newline makes an empty
	line.

	* program.am: Remove executable before linking.

	* texinfos.am (.texi.dvi): Look in @TEXINFODIR@ for texinfo.tex.
	(.texinfo.dvi): Likewise.

	* automake.in (handle_texinfo): TEXINFO_TEX variable can set
	location of texinfo.tex.

Fri Mar 21 10:22:51 1997  Tom Tromey  <tromey@cygnus.com>

	* texinfos.am (.texinfo.dvi): Mirror .texi.dvi.

	* ansi2knr.c, ansi2knr.1: New versions from L. Peter Deutsch.

	* scripts.am: Add @EXEEXT@ to installed scripts.

Wed Jan 22 20:12:31 1997  Jim Meyering  <meyering@na-net.ornl.gov>

	* m4/mktime.m4 (AM_FUNC_MKTIME): Run tests for each of a few values
	for the TZ environment variable.  Andre Novaes Cunha provided the
	hairy TZ setting that exercized the Solaris tzset bug.

1997-01-22  Paul Eggert  <eggert@twinsun.com>

	* m4/mktime.m4: (AM_FUNC_MKTIME): Fix bug in mktime test -- don't
	test now, test a couple of thousand times.

Thu Mar 20 00:16:54 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_programs): Remove CYGWIN lines unless
	AM_CYGWIN32 seen.
	(am_install_var): Remove CYGWIN lines from -clean file as well.

	* progs.am: Put @EXEEXT@ where appropriate.

	* program.am (@PROGRAM@): If using Cygwin32, then create actual
	name in addition to ".exe" name.

	* progs-clean.am (clean-@DIR@PROGRAMS): Conditionalize on CYGWIN.

	* automake.in (check_cygnus): Require AM_CYGWIN32 in --cygnus mode.
	(am_install_var): If AM_CYGWIN32 not seen, then remove @EXEEXT@
	from .am files.

	* automake.in (seen_cygwin32): New global.
	(scan_one_configure_file): Check for AM_CYGWIN32.

	* m4/cygwin.m4: New file.

	* automake.in (scan_one_configure_file): Explicitly handle
	AC_CONFIG_HEADER so we can avoid spurious warnings.
	(obsolete_macros): Removed AC_CONFIG_HEADER.

	* automake.in (handle_yacc_lex_cxx): Perl 4 fixes.  From Greg
	A. Woods.

Wed Mar 19 00:35:13 1997  Tom Tromey  <tromey@cygnus.com>

	* Released 1.1m.

	* m4/missing.m4: Print message saying what is happening.

	* m4/sanity.m4: sleep before testing.

Tue Mar 18 17:20:03 1997  Tom Tromey  <tromey@cygnus.com>

	* config.guess, config.sub: New from the FSF.

	* automake.in (initialize_global_constants): [common_files]
	Include `missing'.
	(scan_configure): Require `missing'.

	* header-vars.am (MAKEINFO): Don't define.

	* m4/init.m4 (missing_dir): Use AM_MISSING_PROG.
	* m4/missing.m4: New file.

	`missing' changes from François Pinard:
	* Everywhere: Use ACLOCAL_M4 to name aclocal.m4 file; ACLOCAL now
	names aclocal program.
	* m4/init.m4: Replace programs with `missing' if not found.
	* automake.in (handle_texinfo): Define MAKEINFO as @MAKEINFO@.
	(AC_CHECK_PATTERN): Check for alphanumeric names only.
	(handle_aclocal_m4): Use ACLOCAL, not aclocal.
	* Makefile.am (pkgdata_SCRIPTS): Include missing.
	* missing: New file.

	* automake.in (target_defined): New sub.
	(handle_footer): Error if target .SUFFIXES used.

Sun Mar 16 14:33:41 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_lib_objects): Set seen_c_source to line
	number.
	(handle_yacc_lex_cxx): Use seen_c_source as line number.
	(am_line_error): Line of -1 means skip line-number check.

	* automake.in (read_am_file): Change to keep perl -w quiet.
	(check_typos): Removed extra check of EXTRA_ containing config
	subs.

Mon Mar 10 23:17:19 1997  Tom Tromey  <tromey@cygnus.com>

	* remake-hdr.am (stamp-h): Set CONFIG_HEADERS to
	$(CONFIG_HEADER_FULL).
	* automake.in (handle_configure): Define CONFIG_HEADER_FULL.

	* automake.in (handle_lib_objects): Set seen_c_source as
	appropriate.  From Alexander V. Lukyanov.  Test cxxlibobj.test.

Sat Mar  8 22:54:35 1997  Tom Tromey  <tromey@cygnus.com>

	* texinfo.tex: New version.

	* automake.in (handle_emacs_lisp): If EMACS is `no', then we
	couldn't find an Emacs.  So don't bother running elisp-comp.  From
	Ulrich Drepper.

	* automake.in (handle_texinfo): Added .tr and .cv to list of
	texinfo clean extensions.  From Karl Berry.

Fri Feb 28 22:14:53 1997  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am: Make sure we never use "undef".

	* automake.in (usage): Changed bug-reporting address.
	(handle_dist): Use undef, not delete.

Wed Feb 26 08:41:11 1997  Gordon Matzigkeit  <gord@gnu.ai.mit.edu>

	* automake.in (%obsolete_macros): Reintroduce, with hints for what
	to do to upgrade the support.

	* automake.in, ltlib-clean.am, ltlib.am, ltlibrary.am: Revamped
 	libtool support to use the _LTLIBRARIES primary.

Wed Feb 26 00:20:39 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_tags): In default case, add @tags_deps to
	dependencies of tags target.

Tue Feb 25 23:46:29 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_tests): If a test failed, then make should
	fail.  From Jim Meyering.

Mon Feb 24 19:02:21 1997  Tom Tromey  <tromey@cygnus.com>

	* texi-vers.am (@VTEXI@): Copy stamp file into output.

Sun Feb 23 00:10:36 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (handle_programs): Give correct error line for lex
	error.
	(am_line_error): Avoid uninitialized value errors from perl -w.

	* aclocal.in (scan_m4_files): Fixed perl -w warning.

	* texinfos.am (.texi, .texinfo): New targets.

	* automake.in (scan_texinfo_file): Renamed.
	(handle_texinfo): Handle files without ".info" extension.

	* automake.in (handle_subdirs): Error if directory contains "/".
	(handle_yacc_lex_cxx): Quoting fix.
	(handle_single_transform_list): Use transformed (non-ansi) version
	of $obj instead of explicit ".o".  From Gord Matzigkeit.

	* m4/sanity.m4: Pass -L to ls if possible.

Sat Feb 22 15:22:31 1997  Tom Tromey  <tromey@cygnus.com>

	* dist-vars.am (DISTFILES): Don't distribute MANS.

	* automake.in (handle_dist): Use define_variable to define TAR,
	GZIP.
	(handle_dist): Pass GZIP in environment to tar.
	(initialize_global_constants): Likewise.

	From Kaveh Ghazi:
	* m4/protos.m4: Don't put any dependencies on AC_C_INLINE or
	AC_C_CONST.
	* m4/ccstdc.m4: Force AM_PROG_CC_STDC to come before AC_C_INLINE
	or AC_C_CONST.

Fri Feb 21 00:39:17 1997  Tom Tromey  <tromey@cygnus.com>

	From The Crimson Binome:
	* automake.in (handle_yacc_lex_cxx): Handle C++ yacc/lex source.
	(output_yacc_build_rule): New sub for C++ yacc/lex.

	* automake.in (my_glob): New sub.
	(handle_dependencies): Use my_glob.
	(handle_aclocal_m4): Scan ACLOCAL_AMFLAGS for dependencies.

	* ltlibs.am, lisp.am, libs.am, header.am, data.am, progs.am,
	scripts.am, texinfos.am: Add leading space to echo.

	* automake.in (handle_texinfo): Added .tps and .vrs to list of TeX
	endings.  From Jim Blandy.
	(install_man_format): Make rule silent; instead print actual
	command.

Tue Feb  4 18:29:42 1997  Tom Tromey  <tromey@cygnus.com>

	* dist-vars.am (TAR): Removed.
	* automake.in (TAR): New variable.
	(handle_dist): Explicitly define TAR.
	* configure.in: Compute TAR.

	* automake.in (handle_lib_objects): Put @ALLOCA@ on @dep_list, not
	@dep_files.
	(AC_SUBST_PATTERN): Typo fix.
	(handle_aclocal_m4): Use ACLOCAL_AMFLAGS.
	(handle_clean): Put -recursive target before -am target.
	(handle_merge_targets): Put basename of $config_name on @all.
	Test confsub.test.  From Ramón García Fernández.

Tue Jan 28 22:19:04 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (initialize_global_constants): Put libtoolize files
	into @common_files, not @common_sometimes.  From Gord Matzigkeit.

Sun Jan 26 17:46:08 1997  Tom Tromey  <tromey@cygnus.com>

	* texinfos.am (.texi.info): If --cygnus, set -I $(srcdir).  From
	Per Bothner.

Sun Jan 12 18:28:16 1997  Fred Fish  (fnf@ninemoons.com)

	* automake.in: Use 'interlock' and 'ylwrap' from source
	directory or aux config directory, not build directory.

Tue Jan  7 18:35:10 1997  Tom Tromey  <tromey@cygnus.com>

	* aclocal.in (parse_arguments): Handle -I.
	(usage): Ditto.
	(scan_m4_files): Ditto.

	* automake.in (handle_single_transform_list): Don't give error
	message if extension unrecognized.

Tue Dec 17 11:18:20 1996  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* m4/header.m4 (AM_CONFIG_HEADER): Check for $CONFIG_HEADERS, not
	$CONFIG_HEADER.

Tue Jan  7 17:59:26 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (scan_one_configure_file): AM_INIT_GUILE_MODULE runs
	AM_PROG_INSTALL, not AC_PROG_INSTALL.  From Jim Blandy.
	(handle_texinfo): Handle no-texinfo.tex option.
	(handle_options): Ditto.

Thu Jan  2 14:16:17 1997  Tom Tromey  <tromey@cygnus.com>

	* automake.in (am_install_var): Ignore EXTRA libtool libraries.
	From Marius Vollmer.

-----

Copyright 1997, 1998 Free Software Foundation, Inc.

This file is part of GNU Automake.

GNU Automake is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU Automake is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with autoconf; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
